Bug 238780 - libjpeg-devel depends on %{version} but not on %{version}-%{release}
libjpeg-devel depends on %{version} but not on %{version}-%{release}
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libjpeg (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Lane
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-02 18:08 EDT by Robert Scheck
Modified: 2013-07-02 23:12 EDT (History)
1 user (show)

See Also:
Fixed In Version: 6b-38.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-11 11:23:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2007-05-02 18:08:24 EDT
Description of problem:
libjpeg-devel depends on %{name} but not on %{name}-%{release}, please fix this 
with the next build of the package. There can be minor changes which could be 
incompatible after release bumping, so it's save to add %{release}, too.

Version-Release number of selected component (if applicable):
libjpeg-6b-37

Expected results:
Please apply the following patch or better:

--- snipp ---
--- libjpeg.spec        2006-07-27 20:07:29.000000000 +0200
+++ libjpeg.spec.rsc    2007-05-03 00:05:36.000000000 +0200
@@ -17,7 +17,7 @@
 %package devel
 Summary: Development tools for programs which will use the libjpeg library.
 Group: Development/Libraries
-Requires: libjpeg = %{version}
+Requires: libjpeg = %{version}-%{release}

 %description
 The libjpeg package contains a library of functions for manipulating
--- snapp ---
Comment 1 Robert Scheck 2007-05-02 18:22:35 EDT
I wrote bullshit, apply s/%{name}/%{version}/g to give my report sense.
Comment 2 Tom Lane 2007-06-25 23:46:33 EDT
Fixed in libjpeg-6b-38.  Thanks for the report!
Comment 3 Fedora Update System 2007-06-26 23:51:35 EDT
libjpeg-6b-38.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2007-07-11 11:23:22 EDT
libjpeg-6b-38.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.